#include <stdio.h>

struct student
{
	int		math;
	int		lang;
	double	height;
	double	weight;
	double	eyesight;
};

/**
	BMIを計算する関数。戻り値はBMI（指数）なので単位はない。
	BMIの計算式は(体重/(身長*身長))、ただし身長の単位はｍ
	引数w　体重（kg）
	引数h　身長（cm）
*/
double	calcBMI(double w, double h)
{
	double h_in_m = h / 100;
	return w / (h_in_m * h_in_m);
}

int		main(void)
{
	struct student taro;
	
	do
	{
		printf("数学/国語/身長(cm)/体重(kg)/視力の順で入力 \n");
		scanf("%d", &taro.math);
		scanf("%d", &taro.lang);
		scanf("%lf", &taro.height);
		scanf("%lf", &taro.weight);
		scanf("%lf", &taro.eyesight);
	} while (0 == taro.math || 0 == taro.lang);
	printf("成績の平均は %.1f \n", 
		((double)taro.math + taro.lang) / 2);
	printf("BMI %f \n", 
		calcBMI(taro.weight, taro.height));
	
	return 0;
}
