// hb-question.c

#include <stdio.h>
#include <stdlib.h>
#include "hb-question.h"

static void	shuffleInt(int* intArray, int numElement);

/*
	問題を作る関数。
*/
void	buildQuestion(int* answer, int numAnswerLength)
{
	int palette[10];	// 解答をシャッフルするための領域。
	int loop;
	
	// paletteに整列した数字を格納
	for (loop = 0; loop < ARRAY_SIZE_OF(palette); ++loop)
	{
		palette[loop] = loop;
	}
	// シャッフルする
	shuffleInt(palette, ARRAY_SIZE_OF(palette));
	// 先頭からnumAnswerLength個をanswerにコピー
	//printf("解答（カンニング用） \n");
	for (loop = 0; loop < numAnswerLength; ++loop)
	{
		answer[loop] = palette[loop];
	//	printf("%d ", answer[loop]);
	}
	//printf("\n");
}

void	shuffleInt(int* intArray, int numElement)
{
	int loop;
	for (loop = 0; loop < 100; ++loop)
	{
		int x = (rand() % numElement);
		int y = (rand() % numElement);
		int save = intArray[x];
		intArray[x] = intArray[y];
		intArray[y] = save;
	}
}

