#include <stdio.h>
typedef struct
{
	int		hour;
	int		minute;
	int		second;
} MY_TIME;

// メッセージを表示して数値を入力してもらう関数。
int		inputValue(char msg[]);
// 設定時間を表示する関数。
void	showTime(MY_TIME time);

int		main(void)
{
	MY_TIME time[3];
	int loop;
	for (loop = 0; loop < 3; ++loop)
	{
		printf("%d 番目のアラーム設定 \n", loop + 1);
		time[loop].hour = inputValue("時間");
		time[loop].minute = inputValue("分");
		time[loop].second = inputValue("秒");
	}
	for (loop = 0; loop < 3; ++loop)
	{
		showTime(time[loop]);
	}
	
	return 0;
}
/*
	メッセージを表示して数値を入力してもらう関数。
	msg		表示するメッセージ
	return	入力された数値
*/
int		inputValue(char msg[])
{
	int in;
	printf("%s を入力してください", msg);
	scanf("%d", &in);
	return in;
}
/*
	引数の時間を表示する関数。
	time	MY_TIMEによる設定時間
*/
void	showTime(MY_TIME time)
{
	printf("アラーム %d時 %d分 %d秒 \n", 
		time.hour, 
		time.minute, time.second);
}
