#include "bmi.h"	// これは必要に応じて

double max_bmi = 0;
/**
	BMIを計算する関数。戻り値はBMI（指数）なので単位はない。
	BMIの計算式は(体重/(身長*身長))、ただし身長の単位はｍ
	引数w　体重（kg）
	引数h　身長（cm）
*/
double	calcBMI(double w, double h)
{
	double h_in_m = h / 100;
	double bmi = w / (h_in_m * h_in_m);
	if (max_bmi < bmi)
	{
		max_bmi = bmi;
	}
	return bmi;
}
